Pushes updates for the latest index price candlestick of the subscribed interval.
Supported intervals: 1m, 3m, 5m, 15m, 30m, 1H, 2H, 4H, 6H, 8H, 12H, 1D, 3D, 1W, 1M.
Channel name: <symbol>@ip_kline_<interval>
Subscription example:
{"method":"SUBSCRIBE","params":["btcusdc@ip_kline_1m"]}Response example:
{
"eventType": "ipKline",
"param": "btcusdc@ip_kline_1m",
"action": "update",
"eventTime": 1778596215629,
"data": [
{
"openTime": 1778596200000,
"closeTime": 1778596259999,
"symbolId": "BTCUSDC",
"interval": "1m",
"open": "80632",
"close": "80654.1",
"high": "80672.4",
"low": "80624.1",
"closed": false
}
]
}Field descriptions
| Field | Description |
|---|---|
openTime | Kline start time |
closeTime | Kline end time |
symbolId | Trading pair |
interval | Interval |
open | First traded price during the kline period |
close | Last traded price during the kline period |
high | Highest traded price during the kline period |
low | Lowest traded price during the kline period |
closed | Whether the kline is closed |